Skip to main content
GET
/
v1
/
platforms
/
me
/
webhooks
/
{endpoint_id}
/
deliveries
List delivery logs
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event": "<string>",
      "response_status": 123,
      "duration_ms": 123,
      "success": true,
      "error": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Path Parameters

endpoint_id
string<uuid>
required

Query Parameters

limit
integer
default:50

Maximum number of results.

Required range: 1 <= x <= 200
offset
integer
default:0

Number of results to skip.

Required range: x >= 0

Response

Successful Response

items
WebhookDeliveryLogRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required